Modules deleting instead of updating

#1

Hey all,

Got a strange occurence with my Node-Red. As it says above, if I try to update a module in the Palette, instead of updating, it deletes the Module. On restarting Node-Red I get told all the node attached to the 'updated' module are now missing.

Any ideas?

0 Likes

#2

Is there anything in the Node-RED log when you try to upgrade a node?
Can you share the name of a node that doesn’t upgrade?

0 Likes

#3

Thanks for the reply.

Here's the log for 2 upgrade attempts: first is worldmap, second is dashboard.

Looks like my problem is that mime file. It would be a PITA if I have to do that every time I want to do an update. :frowning:

14 Jul 18:33:12 - [info] Upgrading module: node-red-contrib-web-worldmap to version: 1.3.2
14 Jul 18:33:45 - [warn] Installation of module node-red-contrib-web-worldmap failed:
14 Jul 18:33:45 - [warn] ------------------------------------------
14 Jul 18:33:45 - [warn] - statuses@1.3.1 node_modules/express/node_modules/statuses
- statuses@1.3.1 node_modules/finalhandler/node_modules/statuses
mime@1.4.1 node_modules/send/node_modules/mime -> node_modules/mime
- statuses@1.3.1 node_modules/send/node_modules/statuses
node-red-project@0.0.1 /home/pi/.node-red
└── (empty)
npm WARN node-red-project@0.0.1 No repository field.
npm WARN node-red-project@0.0.1 No license field.
npm ERR! Linux 4.14.50-v7+
npm ERR! argv "/usr/bin/node" "/usr/bin/npm" "install" "--save" "--save-prefix=~" "--production"  node-red-contrib-web-worldmap@1.3.2"
npm ERR! node v6.14.3
npm ERR! npm  v3.10.10
npm ERR! path /home/pi/.node-red/node_modules/send/node_modules/.bin/mime
npm ERR! code EEXIST
npm ERR! Refusing to delete /home/pi/.node-red/node_modules/send/node_modules/.bin/mime: is outside /home/pi/.node-red/node_modules/send/node_modules/mime and not a link
npm ERR! File exists: /home/pi/.node-red/node_modules/send/node_modules/.bin/mime
npm ERR! Move it away, and try again.
npm ERR! Please include the following file with any support request:
npm ERR!     /home/pi/.node-red/npm-debug.log
npm ERR! code 1
14 Jul 18:33:45 - [warn] ------------------------------------------

14 Jul 19:38:01 - [info] Upgrading module: node-red-dashboard to version: 2.9.4
14 Jul 19:38:30 - [warn] Installation of module node-red-dashboard failed:
14 Jul 19:38:30 - [warn] ------------------------------------------
14 Jul 19:38:30 - [warn] mime@1.4.1 node_modules/node-red-dashboard/node_modules/mime -> node_modules/mime
npm WARN node-red-project@0.0.1 No repository field.
npm WARN node-red-project@0.0.1 No license field.
npm ERR! Linux 4.14.50-v7+
npm ERR! argv "/usr/bin/node" "/usr/bin/npm" "install" "--save" "--save-prefix=~" "--production" "node-red-dashboard@2.9.4"
npm ERR! node v6.14.3
npm ERR! npm  v3.10.10
npm ERR! path /home/pi/.node-red/node_modules/node-red-dashboard/node_modules/.bin/mime
npm ERR! code EEXIST
npm ERR! Refusing to delete /home/pi/.node-red/node_modules/node-red-dashboard/node_modules/.bin/mime: is outside /home/pi/.node-red/node_modules/node-red-dashboard/node_modules/mime and not a link
npm ERR! File exists: /home/pi/.node-red/node_modules/node-red-dashboard/node_modules/.bin/mime
npm ERR! Move it away, and try again.
0 Likes